
QGIS Application - Bug report #14853

Histogram min/max values markers and graph are always the ones for values computed as 

"estimated"

2016-05-22 01:22 AM - Lene Fischer

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22806

Description

new description:

QGIS by default computes min/max using by default an accuracy that is set to "estimated (faster)", but if you switch to "Actual (slower)"

then the values are the same as gdalinfo (both for single files or vrt rasters).

In the histogram graph min/max markers/boundaries are always set to the values computed as "estimated" even if the numeric values are

the ones computed as "actual.

old description:

Creating a virtual raster the min / max is only showed for the first file.

Then I have to load the values.

In the histogram tab the values are also only for the first file. Trying to recompute - nothing happens.

Related issues:

Related to QGIS Application - Feature request # 14835: Virtual Raster Load Mi... Open 2016-05-18

History

#1 - 2016-05-22 03:44 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

does gdalinfo over the VRT file return the correct values for min/max? Cheers!

#2 - 2016-05-23 12:05 AM - Lene Fischer

No - That is an issue I have reported in #14835

#3 - 2016-05-23 12:54 AM - Giovanni Manghi

Lene Fischer wrote:

No - That is an issue I have reported in #14835

they seems to be two aspects of the same issue. If min/max values are wrong for a VRT then also histogram is wrong. Do you agree?
#4 - 2016-05-23 04:49 AM - Giovanni Manghi

- Operating System deleted (Windows 64 bit)

- Affected QGIS version changed from 2.14.2 to master

- OS version deleted (2.14.2)

- Target version deleted (Version 2.14)

- Status changed from Feedback to Open

- Subject changed from Recompute Histogram for raster  to Histogram min/max values markers and graph are always the ones for values computed as 

"estimated"

see also #14835-8

#5 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2017-05-19 09:10 AM - Jürgen Fischer

- Related to Feature request #14835: Virtual Raster Load Min Max Values added

#7 - 2019-03-09 04:10 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
